%define anolis_release 1

Name:           perl-Text-Roman
Version:        3.5
Release: 	%{anolis_release}%{?dist}
Summary:        Conversion between Roman algorisms and Arabic numerals
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Roman
Source0:        https://cpan.metacpan.org/authors/id/S/SY/SYP/Text-Roman-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Exporter)

%description
This package supports both conventional Roman algorisms (which range from 1
to 3999) and Milhar Romans, a variation which uses a bar across the
algorism to indicate multiplication by 1000.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Text-Roman-%{version}
chmod a-x eg/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README eg

%changelog
* Wed Feb 15 2023 happy_orange <songnannan@linux.alibaba.com> - 3.5-1
- package import to anolis23
